LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 01-25-2003, 09:16 AM   #1
paulten
LQ Newbie
 
Registered: Jan 2003
Location: Norway
Distribution: Debian unstable, Redhat 8.0 7.2
Posts: 26

Rep: Reputation: 15
Smile compile an X-Qt-KDE application-- failed


Hello...
Im running Debian unstable on my laptop.
Im using the same packages as on my main computer, and on that machine I dont have this problem
Actually its two problemes..

1.
When trying to configure kvirc I get this error :
checking if we can compile an X-Qt-KDE application... failed
configure: error: This was a fatal one...aborting
I cant find out what files he is missing. I looked in the config.log but dident get any smarter.
You can find a list of my packages on this address :
http://81.26.33.19/myselections

Is there something wrong with $QTDIR ?What dir should that be pointing at?

2.
I'm using Kdevelop when I push Create to start a new prosject I get this error :

configure.in:76: error: m4_popdef: undefined macro: AC_Dest
autoconf/status.m4:844: AC_CONFIG_FILES is expanded from...
configure.in:76: the top level
autom4te: /usr/bin/m4 failed with exit status: 1
make[1]: *** [cvs] Error 1
make: *** [all] Error 2
sh: line 1: ./configure: No such file or directory

I had the same problem on my main computer, I solved it by installing other versions of autoconf and automake.
The problem is that my hd crashed and I'm unable to find out which versions worked together.

If you need more information just ask.


Thanks alot.

Paul
 
Old 01-25-2003, 11:16 AM   #2
paulten
LQ Newbie
 
Registered: Jan 2003
Location: Norway
Distribution: Debian unstable, Redhat 8.0 7.2
Posts: 26

Original Poster
Rep: Reputation: 15
Exclamation Kdevelop problem

I fixed the problem with Kdevelop and autoconf 2.57
You need to downgrade your autoconf to 2.53!
I'm no expert with apt (yet) so I just downloaded autoconf_2.53-2_all.deb from ftp.no.debian.org/debian/pool/main/a/autoconf/

get the autoconf2.13 to!

install by
dpkg -i autoconf_2.53-2_all.deb autoconf2.13*.deb



Paul
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
application won't compile. Help needed ASAP nunation Programming 1 03-22-2005 04:46 PM
How to compile win32 application? dmigh Programming 3 11-20-2004 11:00 AM
Cannot compile a wx application created with KDevelop 3 wizard Mitsuhashi Linux - Newbie 6 06-10-2004 06:23 AM
I can't compile any QT depending C++ application! Paulo Ges Programming 1 04-17-2003 05:11 PM
Sysvinit compile failed rverlander Linux From Scratch 3 07-22-2002 06:11 AM


All times are GMT -5. The time now is 08:13 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration